
const state = {
  lang: localStorage.getItem('lang') ?? 'zh',
  subTitleBgColor: '#eee', // 低级标题背景色
  systemInfo: JSON.parse(localStorage.getItem('systemInfo'))
}

const mutations = {
  SET_LANG (state, lang) {
    state.lang = lang
    localStorage.setItem('lang', lang)
  },
  // 个性化配置信息
  SET_SYSTEM_INFO (state, data) {
    localStorage.setItem('systemInfo', JSON.stringify(data))
    state.systemInfo = data
  }
}

const actions = {}

export default {
  namespaced: true,
  state,
  mutations,
  actions
}
